<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="44px" height="249px" background="images/left.gif"></td>
    <td height="249px"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="17px" height="249px" background="images/header_left.gif"></td>
        <td height="249px"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="30px" background="images/header_top_bg.gif">
            	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
            		<tr>
            			<td align="left" style="padding-left:55px;"><img src="images/header_top_link.gif" width="86" height="30"/></td>
            			<td align="right" style="padding-right:55px;"><img src="images/header_top_link.gif" width="86" height="30"/></td>
            			
            		</tr>
            	</table>
            </td>
          </tr>
          <tr>
            <td height="185px" align="right" background="images/header_bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="185px" style="background:url(images/header_left.jpg) left no-repeat; "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="185px" style="background:url(images/header_right.jpg) right no-repeat;padding-left:25px;padding-right:200px; "><div style="width:420px"></div><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
					  <!--LOGO-->
                        <td width="62px"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
						<!--END LOGO-->
                        <td style="padding-left:5px; "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                          <tr>
						  <!--COMPANY-->
                            <td height="28px" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							<!--END COMPANY-->
                          </tr>
                          <tr>
						  <!--SLOGAN-->
                            <td height="12px" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
							<!--END SLOGAN-->
                          </tr>
                        </table></td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="34px" background="images/menu_bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="34px" align="left" style="padding-right:203px;background:url(images/header_bottom.jpg) top right no-repeat;"><table  border="0" cellspacing="0" cellpadding="0">
                  <tr>
				  <!--MENU-->
				  <xsl:call-template name="TOP-MENU"/>
                   
					<!--END MENU-->
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="13px" height="249px" background="images/header_left.gif"></td>
      </tr>
    </table></td>
    <td width="46px" height="249px" background="images/right.gif"></td>
  </tr>
  <tr>
    <td width="44px" height="361px" background="images/left.gif"></td>
    <td height="361"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="26px" height="26px"><img src="images/submenu_top_left.gif" width="26px" height="26px"/></td>
        <td width="240px" background="images/submenu_top.gif"><div style="width:140px; "></div></td>
        <td width="15px"><img src="images/submenu_top_right.gif" width="15px" height="26px"/></td>
        <td background="images/submenu_top.gif"><div style="width:420px; "></div></td>
        <td width="24px"><img src="images/content_top_right.gif" width="24px" height="26px"/></td>
      </tr>
      <tr>
        <td width="26px" height="315px" background="images/submenu_left.gif"></td>
        <td width="240px" height="315px" valign="top" background="images/content_bg.gif" style="padding-top:3px;padding-left:9px; "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
         <!--SUBMENU-->
		   <xsl:call-template name="SUB-MENU">
               			      <xsl:with-param name="pageID" select="@ID"/>                            </xsl:call-template> 
         
		  <!--END SUBMENU-->
        </table></td>
        <td width="15px" height="315px" background="images/submenu_right.gif"></td>
        <td height="315px" valign="top" background="images/content_bg.gif" style="padding-top:8px;padding-left:7px;padding-right:7px;padding-bottom:8px; "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <!--TEXT-HEADER-->
            <td width="8px"><img src="images/txtheader_bullet.gif" width="8px" height="8px" border="0"/></td>
            <td style="padding-left:4px; " class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			<!--END TEXT-HEADER-->
          </tr>
        </table><table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="5px" background="images/content_hr.gif"></td>
  </tr>
</table>
		<!--CONTENT-->
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
			<tr>
			<td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
			</tr>
			</table>
		  <!--END CONTENT-->
		  </td>
        <td width="24px" height="315px" background="images/content_right.gif"></td>
      </tr>
      <tr>
        <td width="26px" height="20px"><img src="images/footer_top_left.gif" width="26px" height="20px"/></td>
        <td width="240px" height="20px" background="images/submenu_top.gif"></td>
        <td width="15px" height="20px"><img src="images/footer_middle.gif" width="15px" height="20px"/></td>
        <td height="20px" background="images/submenu_top.gif"></td>
        <td width="24px" height="20px"><img src="images/footer_top_right.gif" width="24px" height="20px"/></td>
      </tr>
    </table></td>
    <td width="46px" height="361px" background="images/right.gif"></td>
  </tr>
  <tr>
    <td width="44px" height="70px" valign="top" background="images/footer_left_bg.gif"><img src="images/footer_left.gif" width="44px" height="80px"/></td>
    <td height="70px" valign="top" background="images/footer_bg.gif" style="padding-left:340px; "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
	  <!--FOOTER-->
        <td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
          </td>
		  <!--END FOOTER-->
      </tr>
    </table></td>
    <td width="46px" height="70px" valign="top" background="images/footer_right_bg.gif"><img src="images/footer_right.gif" width="46px" height="84px"/></td>
  </tr>
</table>
</body>
</html>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
            <td width="7px"><img src="images/submenu_bullet.gif" width="7px" height="5px" border="0"/></td>
            <td height="30px" class="asubmenu" style="padding-left:6px; "><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
            <td width="7px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="7px" height="5px" border="0"/></a></td>
            <td height="30px" style="padding-left:6px; "><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
	
		
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr background="images/submenu_hr.gif">
            <td height="1px" colspan="2" background="images/submenu_hr.gif"></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
